Loading...
Searching...
No Matches
etl::icallback_timer_locked::timer_data Struct Reference

The configuration of a timer. More...

`#include <callback_timer_locked.h>`

## Public Member Functions

| timer_data (etl::timer::id::type id_, callback_type callback_, uint32_t period_, bool repeating_)
| ETL delegate callback.
bool | is_active () const
| Returns true if the timer is active.
void | set_inactive ()
| Sets the timer to the inactive state.

## Public Attributes

callback_type | callback
uint32_t | period
uint32_t | delta
etl::timer::id::type | id
uint_least8_t | previous
uint_least8_t | next
bool | repeating

## Detailed Description

The configuration of a timer.

The documentation for this struct was generated from the following file:

- include/etl/callback_timer_locked.h